## Apache Zeta Components Manual :: Docs For Class ezcMvcViewHandler

### MvcTools::ezcMvcViewHandler

### Interface ezcMvcViewHandler

Interface defining view handlers.

A view handler is the implementation of a view that converts the abstract ezcMvcResult objects to ezcMvcResponse objects - which are then send to the client with a response writer.

Source for this file: /MvcTools/src/interfaces/view_handler.php

Version: | //autogentag//

### Method Summary

public ezcMvcViewHandler | `__construct( $name , [ $templateLocation = null] )` Creates a new view handler, where $name is the name of the block and $templateLocation the location of a view template.
public string | `getName( )` Returns the name of the template, as set in the constructor.
public mixed | `getResult( )` Returns the result of the process() method.
public void | `process( $last )` Processes the template with the variables added by the send() method.
public void | `send( $name , $value )` Adds a variable to the template, which can then be used for rendering the view.

### Methods

#### __construct

ezcMvcViewHandler __construct( string $name , [string $templateLocation = null] )

Creates a new view handler, where $name is the name of the block and $templateLocation the location of a view template.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$name` | string |
`$templateLocation` | string |

#### getName

string getName( )

Returns the name of the template, as set in the constructor.

#### getResult

mixed getResult( )

Returns the result of the process() method.

#### process

void process( bool $last )

Processes the template with the variables added by the send() method.

The result of this action should be retrievable through the getResult() method.

The $last parameter is set if the view handler is the last one in the list of zones for a specific view.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$last` | bool |

#### send

void send( string $name , mixed $value )

Adds a variable to the template, which can then be used for rendering the view.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$name` | string |
`$value` | mixed |

Documentation generated by phpDocumentor 1.4.3